@model User
@{
    ViewData["Title"] = "Edit User";
}
<fieldset>
    @using (Html.BeginForm("Edit", "Users"))
    {
        // To have a valid password
        @Html.Hidden("Password", "123")
        @Html.HiddenFor(model => model.Id)
        <div>
            @Html.LabelFor(model => model.FullName)
            @Html.TextBoxFor(model => model.FullName)
            @Html.ValidationMessageFor(model => model.FullName)
        </div>
        <div>
            @Html.LabelFor(model => model.Email)
            @Html.TextBoxFor(model => model.Email)
            @Html.ValidationMessageFor(model => model.Email)
        </div>
        <div>
            @Html.LabelFor(model => model.Admin)
            @Html.CheckBoxFor(model => model.Admin)
        </div>
        <input type="submit" value="Apply"/>
    }
    <div>
        @Html.ActionLink("Delete", "Delete", new {id = Model.Id})
    </div>
</fieldset>
<div>
    @Html.ActionLink("Back", "Index")
</div>